﻿# -*- coding: utf-8 -*-

bl_info = {
	"name": "Lightwave LWO format",
	"author": "Akira Asagi",
	"version": (0, 0, 2),
	"blender": (2, 80, 0),
	"location": "File > Import",
	"description": "Import LWO",
	"warning": "",
	"wiki_url": "",
	"support": "TESTING",
	"category": "Import-Export"
}

import sys
if("bpy" in sys.modules):
	if("Blender" in locals()):
		import importlib
		importlib.reload(Blender)
	from .Blender import LoadLWO, register, unregister

elif("maya" in sys.modules):
	if(0):
		import Load_LWO.Maya.LoadLWO; reload(Load_LWO.Maya.LoadLWO)
	from Load_LWO.Maya.LoadLWO import LoadLWO

	# Blenderの制約から最上位に文字列としてbl_info={～}が必要, if()で分離やdict()で処理等は不可
	# Mayaでは不要なので消しておく
	del bl_info
